1. Packages
  2. Packages
  3. Bytepluscc Provider
  4. API Docs
  5. rdsmysql
  6. Endpoint
Viewing docs for bytepluscc v0.0.25
published on Thursday, May 7, 2026 by Byteplus
bytepluscc logo
Viewing docs for bytepluscc v0.0.25
published on Thursday, May 7, 2026 by Byteplus

    The endpoint is a network proxy service provided by Cloud Database MySQL Edition, located between the database and application. Based on endpoint functionality, endpoints are classified as proxy endpoints and direct endpoints. Connections via proxy endpoints pass through the proxy and support features such as read/write splitting, load balancing, idle connection recycling, and Multi-Statements. Connections via direct endpoints connect directly to the corresponding node and do not support proxy-related features.

    Example Usage

    Example coming soon!
    
    Example coming soon!
    
    Example coming soon!
    
    Example coming soon!
    
    Example coming soon!
    
    resources:
      rdsMysqlEndpointDemo:
        type: bytepluscc:rdsmysql:Endpoint
        name: RdsMysqlEndpointDemo
        properties:
          autoAddNewNodes: false
          connectionMode: Proxy
          connectionPoolType: Transaction
          description: this is a description
          enableConnectionPersistent: true
          endpointName: ccapi-test-1
          endpointType: Custom
          idleConnectionReclaim: true
          implicitTransSplit: true
          instanceId: mysql-2e229xxxxxd5
          masterNodeRouting: false
          masterProtectorTimeout: 60
          multiStatementsMode: Strict
          nodes: Primary,mysql-2e229xxxxxdd5-r442d,mysql-2e2xxxxxdd5-r8d0f
          overloadProtection: true
          readOnlyNodeDistributionType: RoundRobinCustom
          readOnlyNodeMaxDelayTime: 30
          readOnlyNodeWeights:
            - node_id: ""
              node_type: Primary
              weight: 100
            - node_id: mysql-2e2xxxxx4dd5-r442d
              node_type: ReadOnly
              weight: 200
            - node_id: mysql-2e22xxxxxdd5-r8d0f
              node_type: ReadOnly
              weight: 300
          readWriteMode: ReadWrite
          readWriteSpliting: true
    

    Create Endpoint Resource

    Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.

    Constructor syntax

    new Endpoint(name: string, args?: EndpointArgs, opts?: CustomResourceOptions);
    @overload
    def Endpoint(resource_name: str,
                 args: Optional[EndpointArgs] = None,
                 opts: Optional[ResourceOptions] = None)
    
    @overload
    def Endpoint(resource_name: str,
                 opts: Optional[ResourceOptions] = None,
                 addresses: Optional[Sequence[EndpointAddressArgs]] = None,
                 auto_add_new_nodes: Optional[bool] = None,
                 connect_all_slave_nodes: Optional[bool] = None,
                 connection_mode: Optional[str] = None,
                 connection_pool_type: Optional[str] = None,
                 description: Optional[str] = None,
                 enable_connection_persistent: Optional[bool] = None,
                 endpoint_name: Optional[str] = None,
                 endpoint_type: Optional[str] = None,
                 idle_connection_reclaim: Optional[bool] = None,
                 implicit_trans_split: Optional[bool] = None,
                 instance_id: Optional[str] = None,
                 master_node_routing: Optional[bool] = None,
                 master_protector_timeout: Optional[int] = None,
                 multi_statements_mode: Optional[str] = None,
                 nodes: Optional[str] = None,
                 overload_protection: Optional[bool] = None,
                 read_only_node_distribution_type: Optional[str] = None,
                 read_only_node_max_delay_time: Optional[int] = None,
                 read_only_node_weights: Optional[Sequence[EndpointReadOnlyNodeWeightArgs]] = None,
                 read_write_mode: Optional[str] = None,
                 read_write_spliting: Optional[bool] = None)
    func NewEndpoint(ctx *Context, name string, args *EndpointArgs, opts ...ResourceOption) (*Endpoint, error)
    public Endpoint(string name, EndpointArgs? args = null, CustomResourceOptions? opts = null)
    public Endpoint(String name, EndpointArgs args)
    public Endpoint(String name, EndpointArgs args, CustomResourceOptions options)
    
    type: bytepluscc:rdsmysql:Endpoint
    properties: # The arguments to resource properties.
    options: # Bag of options to control resource's behavior.
    
    

    Parameters

    name string
    The unique name of the resource.
    args EndpointArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    resource_name str
    The unique name of the resource.
    args EndpointArgs
    The arguments to resource properties.
    opts ResourceOptions
    Bag of options to control resource's behavior.
    ctx Context
    Context object for the current deployment.
    name string
    The unique name of the resource.
    args EndpointArgs
    The arguments to resource properties.
    opts ResourceOption
    Bag of options to control resource's behavior.
    name string
    The unique name of the resource.
    args EndpointArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    name String
    The unique name of the resource.
    args EndpointArgs
    The arguments to resource properties.
    options CustomResourceOptions
    Bag of options to control resource's behavior.

    Constructor example

    The following reference example uses placeholder values for all input properties.

    var byteplusccEndpointResource = new Bytepluscc.Rdsmysql.Endpoint("byteplusccEndpointResource", new()
    {
        Addresses = new[]
        {
            new Bytepluscc.Rdsmysql.Inputs.EndpointAddressArgs
            {
                DnsVisibility = false,
                DomainPrefix = "string",
                Port = "string",
            },
        },
        AutoAddNewNodes = false,
        ConnectAllSlaveNodes = false,
        ConnectionMode = "string",
        ConnectionPoolType = "string",
        Description = "string",
        EnableConnectionPersistent = false,
        EndpointName = "string",
        EndpointType = "string",
        IdleConnectionReclaim = false,
        ImplicitTransSplit = false,
        InstanceId = "string",
        MasterNodeRouting = false,
        MasterProtectorTimeout = 0,
        MultiStatementsMode = "string",
        Nodes = "string",
        OverloadProtection = false,
        ReadOnlyNodeDistributionType = "string",
        ReadOnlyNodeMaxDelayTime = 0,
        ReadOnlyNodeWeights = new[]
        {
            new Bytepluscc.Rdsmysql.Inputs.EndpointReadOnlyNodeWeightArgs
            {
                NodeId = "string",
                NodeType = "string",
                Weight = 0,
            },
        },
        ReadWriteMode = "string",
        ReadWriteSpliting = false,
    });
    
    example, err := rdsmysql.NewEndpoint(ctx, "byteplusccEndpointResource", &rdsmysql.EndpointArgs{
    	Addresses: rdsmysql.EndpointAddressArray{
    		&rdsmysql.EndpointAddressArgs{
    			DnsVisibility: pulumi.Bool(false),
    			DomainPrefix:  pulumi.String("string"),
    			Port:          pulumi.String("string"),
    		},
    	},
    	AutoAddNewNodes:              pulumi.Bool(false),
    	ConnectAllSlaveNodes:         pulumi.Bool(false),
    	ConnectionMode:               pulumi.String("string"),
    	ConnectionPoolType:           pulumi.String("string"),
    	Description:                  pulumi.String("string"),
    	EnableConnectionPersistent:   pulumi.Bool(false),
    	EndpointName:                 pulumi.String("string"),
    	EndpointType:                 pulumi.String("string"),
    	IdleConnectionReclaim:        pulumi.Bool(false),
    	ImplicitTransSplit:           pulumi.Bool(false),
    	InstanceId:                   pulumi.String("string"),
    	MasterNodeRouting:            pulumi.Bool(false),
    	MasterProtectorTimeout:       pulumi.Int(0),
    	MultiStatementsMode:          pulumi.String("string"),
    	Nodes:                        pulumi.String("string"),
    	OverloadProtection:           pulumi.Bool(false),
    	ReadOnlyNodeDistributionType: pulumi.String("string"),
    	ReadOnlyNodeMaxDelayTime:     pulumi.Int(0),
    	ReadOnlyNodeWeights: rdsmysql.EndpointReadOnlyNodeWeightArray{
    		&rdsmysql.EndpointReadOnlyNodeWeightArgs{
    			NodeId:   pulumi.String("string"),
    			NodeType: pulumi.String("string"),
    			Weight:   pulumi.Int(0),
    		},
    	},
    	ReadWriteMode:     pulumi.String("string"),
    	ReadWriteSpliting: pulumi.Bool(false),
    })
    
    var byteplusccEndpointResource = new com.byteplus.bytepluscc.rdsmysql.Endpoint("byteplusccEndpointResource", com.byteplus.bytepluscc.rdsmysql.EndpointArgs.builder()
        .addresses(EndpointAddressArgs.builder()
            .dnsVisibility(false)
            .domainPrefix("string")
            .port("string")
            .build())
        .autoAddNewNodes(false)
        .connectAllSlaveNodes(false)
        .connectionMode("string")
        .connectionPoolType("string")
        .description("string")
        .enableConnectionPersistent(false)
        .endpointName("string")
        .endpointType("string")
        .idleConnectionReclaim(false)
        .implicitTransSplit(false)
        .instanceId("string")
        .masterNodeRouting(false)
        .masterProtectorTimeout(0)
        .multiStatementsMode("string")
        .nodes("string")
        .overloadProtection(false)
        .readOnlyNodeDistributionType("string")
        .readOnlyNodeMaxDelayTime(0)
        .readOnlyNodeWeights(EndpointReadOnlyNodeWeightArgs.builder()
            .nodeId("string")
            .nodeType("string")
            .weight(0)
            .build())
        .readWriteMode("string")
        .readWriteSpliting(false)
        .build());
    
    bytepluscc_endpoint_resource = bytepluscc.rdsmysql.Endpoint("byteplusccEndpointResource",
        addresses=[{
            "dns_visibility": False,
            "domain_prefix": "string",
            "port": "string",
        }],
        auto_add_new_nodes=False,
        connect_all_slave_nodes=False,
        connection_mode="string",
        connection_pool_type="string",
        description="string",
        enable_connection_persistent=False,
        endpoint_name="string",
        endpoint_type="string",
        idle_connection_reclaim=False,
        implicit_trans_split=False,
        instance_id="string",
        master_node_routing=False,
        master_protector_timeout=0,
        multi_statements_mode="string",
        nodes="string",
        overload_protection=False,
        read_only_node_distribution_type="string",
        read_only_node_max_delay_time=0,
        read_only_node_weights=[{
            "node_id": "string",
            "node_type": "string",
            "weight": 0,
        }],
        read_write_mode="string",
        read_write_spliting=False)
    
    const byteplusccEndpointResource = new bytepluscc.rdsmysql.Endpoint("byteplusccEndpointResource", {
        addresses: [{
            dnsVisibility: false,
            domainPrefix: "string",
            port: "string",
        }],
        autoAddNewNodes: false,
        connectAllSlaveNodes: false,
        connectionMode: "string",
        connectionPoolType: "string",
        description: "string",
        enableConnectionPersistent: false,
        endpointName: "string",
        endpointType: "string",
        idleConnectionReclaim: false,
        implicitTransSplit: false,
        instanceId: "string",
        masterNodeRouting: false,
        masterProtectorTimeout: 0,
        multiStatementsMode: "string",
        nodes: "string",
        overloadProtection: false,
        readOnlyNodeDistributionType: "string",
        readOnlyNodeMaxDelayTime: 0,
        readOnlyNodeWeights: [{
            nodeId: "string",
            nodeType: "string",
            weight: 0,
        }],
        readWriteMode: "string",
        readWriteSpliting: false,
    });
    
    type: bytepluscc:rdsmysql:Endpoint
    properties:
        addresses:
            - dnsVisibility: false
              domainPrefix: string
              port: string
        autoAddNewNodes: false
        connectAllSlaveNodes: false
        connectionMode: string
        connectionPoolType: string
        description: string
        enableConnectionPersistent: false
        endpointName: string
        endpointType: string
        idleConnectionReclaim: false
        implicitTransSplit: false
        instanceId: string
        masterNodeRouting: false
        masterProtectorTimeout: 0
        multiStatementsMode: string
        nodes: string
        overloadProtection: false
        readOnlyNodeDistributionType: string
        readOnlyNodeMaxDelayTime: 0
        readOnlyNodeWeights:
            - nodeId: string
              nodeType: string
              weight: 0
        readWriteMode: string
        readWriteSpliting: false
    

    Endpoint Resource Properties

    To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.

    Inputs

    In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.

    The Endpoint resource accepts the following input properties:

    Addresses List<Byteplus.EndpointAddress>
    AutoAddNewNodes bool
    When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
    ConnectAllSlaveNodes bool
    Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
    ConnectionMode string
    Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
    ConnectionPoolType string
    Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
    Description string
    Remarks.
    EnableConnectionPersistent bool
    Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
    EndpointName string
    Instance connection endpoint name.
    EndpointType string
    Endpoint type. Value: Custom (custom endpoint).
    IdleConnectionReclaim bool
    Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
    ImplicitTransSplit bool
    Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
    InstanceId string
    Instance ID.
    MasterNodeRouting bool
    Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    MasterProtectorTimeout int
    Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
    MultiStatementsMode string
    Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
    Nodes string
    List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
    OverloadProtection bool
    Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    ReadOnlyNodeDistributionType string
    Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
    ReadOnlyNodeMaxDelayTime int
    Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
    ReadOnlyNodeWeights List<Byteplus.EndpointReadOnlyNodeWeight>
    ReadWriteMode string
    Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
    ReadWriteSpliting bool
    Enable read/write splitting. Values: true: enabled (default). false: disabled.
    Addresses []EndpointAddressArgs
    AutoAddNewNodes bool
    When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
    ConnectAllSlaveNodes bool
    Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
    ConnectionMode string
    Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
    ConnectionPoolType string
    Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
    Description string
    Remarks.
    EnableConnectionPersistent bool
    Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
    EndpointName string
    Instance connection endpoint name.
    EndpointType string
    Endpoint type. Value: Custom (custom endpoint).
    IdleConnectionReclaim bool
    Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
    ImplicitTransSplit bool
    Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
    InstanceId string
    Instance ID.
    MasterNodeRouting bool
    Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    MasterProtectorTimeout int
    Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
    MultiStatementsMode string
    Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
    Nodes string
    List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
    OverloadProtection bool
    Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    ReadOnlyNodeDistributionType string
    Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
    ReadOnlyNodeMaxDelayTime int
    Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
    ReadOnlyNodeWeights []EndpointReadOnlyNodeWeightArgs
    ReadWriteMode string
    Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
    ReadWriteSpliting bool
    Enable read/write splitting. Values: true: enabled (default). false: disabled.
    addresses List<EndpointAddress>
    autoAddNewNodes Boolean
    When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
    connectAllSlaveNodes Boolean
    Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
    connectionMode String
    Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
    connectionPoolType String
    Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
    description String
    Remarks.
    enableConnectionPersistent Boolean
    Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
    endpointName String
    Instance connection endpoint name.
    endpointType String
    Endpoint type. Value: Custom (custom endpoint).
    idleConnectionReclaim Boolean
    Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
    implicitTransSplit Boolean
    Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
    instanceId String
    Instance ID.
    masterNodeRouting Boolean
    Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    masterProtectorTimeout Integer
    Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
    multiStatementsMode String
    Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
    nodes String
    List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
    overloadProtection Boolean
    Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    readOnlyNodeDistributionType String
    Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
    readOnlyNodeMaxDelayTime Integer
    Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
    readOnlyNodeWeights List<EndpointReadOnlyNodeWeight>
    readWriteMode String
    Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
    readWriteSpliting Boolean
    Enable read/write splitting. Values: true: enabled (default). false: disabled.
    addresses EndpointAddress[]
    autoAddNewNodes boolean
    When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
    connectAllSlaveNodes boolean
    Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
    connectionMode string
    Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
    connectionPoolType string
    Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
    description string
    Remarks.
    enableConnectionPersistent boolean
    Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
    endpointName string
    Instance connection endpoint name.
    endpointType string
    Endpoint type. Value: Custom (custom endpoint).
    idleConnectionReclaim boolean
    Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
    implicitTransSplit boolean
    Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
    instanceId string
    Instance ID.
    masterNodeRouting boolean
    Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    masterProtectorTimeout number
    Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
    multiStatementsMode string
    Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
    nodes string
    List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
    overloadProtection boolean
    Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    readOnlyNodeDistributionType string
    Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
    readOnlyNodeMaxDelayTime number
    Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
    readOnlyNodeWeights EndpointReadOnlyNodeWeight[]
    readWriteMode string
    Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
    readWriteSpliting boolean
    Enable read/write splitting. Values: true: enabled (default). false: disabled.
    addresses Sequence[EndpointAddressArgs]
    auto_add_new_nodes bool
    When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
    connect_all_slave_nodes bool
    Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
    connection_mode str
    Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
    connection_pool_type str
    Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
    description str
    Remarks.
    enable_connection_persistent bool
    Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
    endpoint_name str
    Instance connection endpoint name.
    endpoint_type str
    Endpoint type. Value: Custom (custom endpoint).
    idle_connection_reclaim bool
    Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
    implicit_trans_split bool
    Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
    instance_id str
    Instance ID.
    master_node_routing bool
    Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    master_protector_timeout int
    Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
    multi_statements_mode str
    Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
    nodes str
    List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
    overload_protection bool
    Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    read_only_node_distribution_type str
    Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
    read_only_node_max_delay_time int
    Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
    read_only_node_weights Sequence[EndpointReadOnlyNodeWeightArgs]
    read_write_mode str
    Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
    read_write_spliting bool
    Enable read/write splitting. Values: true: enabled (default). false: disabled.
    addresses List<Property Map>
    autoAddNewNodes Boolean
    When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
    connectAllSlaveNodes Boolean
    Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
    connectionMode String
    Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
    connectionPoolType String
    Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
    description String
    Remarks.
    enableConnectionPersistent Boolean
    Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
    endpointName String
    Instance connection endpoint name.
    endpointType String
    Endpoint type. Value: Custom (custom endpoint).
    idleConnectionReclaim Boolean
    Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
    implicitTransSplit Boolean
    Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
    instanceId String
    Instance ID.
    masterNodeRouting Boolean
    Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    masterProtectorTimeout Number
    Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
    multiStatementsMode String
    Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
    nodes String
    List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
    overloadProtection Boolean
    Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    readOnlyNodeDistributionType String
    Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
    readOnlyNodeMaxDelayTime Number
    Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
    readOnlyNodeWeights List<Property Map>
    readWriteMode String
    Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
    readWriteSpliting Boolean
    Enable read/write splitting. Values: true: enabled (default). false: disabled.

    Outputs

    All input properties are implicitly available as output properties. Additionally, the Endpoint resource produces the following output properties:

    ConnectionInfoTags List<string>
    Connection endpoint tags.
    CustomRouteStrategy Byteplus.EndpointCustomRouteStrategy
    SQL forwarding rules for the connection endpoint.
    EnableReadOnly string
    Enable global read-only. Values: Enable: enabled. Disable: not enabled.
    EndpointId string
    Instance connection endpoint ID.
    Id string
    The provider-assigned unique ID for this managed resource.
    ConnectionInfoTags []string
    Connection endpoint tags.
    CustomRouteStrategy EndpointCustomRouteStrategy
    SQL forwarding rules for the connection endpoint.
    EnableReadOnly string
    Enable global read-only. Values: Enable: enabled. Disable: not enabled.
    EndpointId string
    Instance connection endpoint ID.
    Id string
    The provider-assigned unique ID for this managed resource.
    connectionInfoTags List<String>
    Connection endpoint tags.
    customRouteStrategy EndpointCustomRouteStrategy
    SQL forwarding rules for the connection endpoint.
    enableReadOnly String
    Enable global read-only. Values: Enable: enabled. Disable: not enabled.
    endpointId String
    Instance connection endpoint ID.
    id String
    The provider-assigned unique ID for this managed resource.
    connectionInfoTags string[]
    Connection endpoint tags.
    customRouteStrategy EndpointCustomRouteStrategy
    SQL forwarding rules for the connection endpoint.
    enableReadOnly string
    Enable global read-only. Values: Enable: enabled. Disable: not enabled.
    endpointId string
    Instance connection endpoint ID.
    id string
    The provider-assigned unique ID for this managed resource.
    connection_info_tags Sequence[str]
    Connection endpoint tags.
    custom_route_strategy EndpointCustomRouteStrategy
    SQL forwarding rules for the connection endpoint.
    enable_read_only str
    Enable global read-only. Values: Enable: enabled. Disable: not enabled.
    endpoint_id str
    Instance connection endpoint ID.
    id str
    The provider-assigned unique ID for this managed resource.
    connectionInfoTags List<String>
    Connection endpoint tags.
    customRouteStrategy Property Map
    SQL forwarding rules for the connection endpoint.
    enableReadOnly String
    Enable global read-only. Values: Enable: enabled. Disable: not enabled.
    endpointId String
    Instance connection endpoint ID.
    id String
    The provider-assigned unique ID for this managed resource.

    Look up Existing Endpoint Resource

    Get an existing Endpoint resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.

    public static get(name: string, id: Input<ID>, state?: EndpointState, opts?: CustomResourceOptions): Endpoint
    @staticmethod
    def get(resource_name: str,
            id: str,
            opts: Optional[ResourceOptions] = None,
            addresses: Optional[Sequence[EndpointAddressArgs]] = None,
            auto_add_new_nodes: Optional[bool] = None,
            connect_all_slave_nodes: Optional[bool] = None,
            connection_info_tags: Optional[Sequence[str]] = None,
            connection_mode: Optional[str] = None,
            connection_pool_type: Optional[str] = None,
            custom_route_strategy: Optional[EndpointCustomRouteStrategyArgs] = None,
            description: Optional[str] = None,
            enable_connection_persistent: Optional[bool] = None,
            enable_read_only: Optional[str] = None,
            endpoint_id: Optional[str] = None,
            endpoint_name: Optional[str] = None,
            endpoint_type: Optional[str] = None,
            idle_connection_reclaim: Optional[bool] = None,
            implicit_trans_split: Optional[bool] = None,
            instance_id: Optional[str] = None,
            master_node_routing: Optional[bool] = None,
            master_protector_timeout: Optional[int] = None,
            multi_statements_mode: Optional[str] = None,
            nodes: Optional[str] = None,
            overload_protection: Optional[bool] = None,
            read_only_node_distribution_type: Optional[str] = None,
            read_only_node_max_delay_time: Optional[int] = None,
            read_only_node_weights: Optional[Sequence[EndpointReadOnlyNodeWeightArgs]] = None,
            read_write_mode: Optional[str] = None,
            read_write_spliting: Optional[bool] = None) -> Endpoint
    func GetEndpoint(ctx *Context, name string, id IDInput, state *EndpointState, opts ...ResourceOption) (*Endpoint, error)
    public static Endpoint Get(string name, Input<string> id, EndpointState? state, CustomResourceOptions? opts = null)
    public static Endpoint get(String name, Output<String> id, EndpointState state, CustomResourceOptions options)
    resources:  _:    type: bytepluscc:rdsmysql:Endpoint    get:      id: ${id}
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    resource_name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    The following state arguments are supported:
    Addresses List<Byteplus.EndpointAddress>
    AutoAddNewNodes bool
    When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
    ConnectAllSlaveNodes bool
    Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
    ConnectionInfoTags List<string>
    Connection endpoint tags.
    ConnectionMode string
    Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
    ConnectionPoolType string
    Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
    CustomRouteStrategy Byteplus.EndpointCustomRouteStrategy
    SQL forwarding rules for the connection endpoint.
    Description string
    Remarks.
    EnableConnectionPersistent bool
    Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
    EnableReadOnly string
    Enable global read-only. Values: Enable: enabled. Disable: not enabled.
    EndpointId string
    Instance connection endpoint ID.
    EndpointName string
    Instance connection endpoint name.
    EndpointType string
    Endpoint type. Value: Custom (custom endpoint).
    IdleConnectionReclaim bool
    Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
    ImplicitTransSplit bool
    Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
    InstanceId string
    Instance ID.
    MasterNodeRouting bool
    Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    MasterProtectorTimeout int
    Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
    MultiStatementsMode string
    Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
    Nodes string
    List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
    OverloadProtection bool
    Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    ReadOnlyNodeDistributionType string
    Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
    ReadOnlyNodeMaxDelayTime int
    Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
    ReadOnlyNodeWeights List<Byteplus.EndpointReadOnlyNodeWeight>
    ReadWriteMode string
    Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
    ReadWriteSpliting bool
    Enable read/write splitting. Values: true: enabled (default). false: disabled.
    Addresses []EndpointAddressArgs
    AutoAddNewNodes bool
    When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
    ConnectAllSlaveNodes bool
    Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
    ConnectionInfoTags []string
    Connection endpoint tags.
    ConnectionMode string
    Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
    ConnectionPoolType string
    Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
    CustomRouteStrategy EndpointCustomRouteStrategyArgs
    SQL forwarding rules for the connection endpoint.
    Description string
    Remarks.
    EnableConnectionPersistent bool
    Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
    EnableReadOnly string
    Enable global read-only. Values: Enable: enabled. Disable: not enabled.
    EndpointId string
    Instance connection endpoint ID.
    EndpointName string
    Instance connection endpoint name.
    EndpointType string
    Endpoint type. Value: Custom (custom endpoint).
    IdleConnectionReclaim bool
    Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
    ImplicitTransSplit bool
    Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
    InstanceId string
    Instance ID.
    MasterNodeRouting bool
    Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    MasterProtectorTimeout int
    Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
    MultiStatementsMode string
    Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
    Nodes string
    List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
    OverloadProtection bool
    Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    ReadOnlyNodeDistributionType string
    Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
    ReadOnlyNodeMaxDelayTime int
    Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
    ReadOnlyNodeWeights []EndpointReadOnlyNodeWeightArgs
    ReadWriteMode string
    Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
    ReadWriteSpliting bool
    Enable read/write splitting. Values: true: enabled (default). false: disabled.
    addresses List<EndpointAddress>
    autoAddNewNodes Boolean
    When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
    connectAllSlaveNodes Boolean
    Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
    connectionInfoTags List<String>
    Connection endpoint tags.
    connectionMode String
    Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
    connectionPoolType String
    Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
    customRouteStrategy EndpointCustomRouteStrategy
    SQL forwarding rules for the connection endpoint.
    description String
    Remarks.
    enableConnectionPersistent Boolean
    Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
    enableReadOnly String
    Enable global read-only. Values: Enable: enabled. Disable: not enabled.
    endpointId String
    Instance connection endpoint ID.
    endpointName String
    Instance connection endpoint name.
    endpointType String
    Endpoint type. Value: Custom (custom endpoint).
    idleConnectionReclaim Boolean
    Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
    implicitTransSplit Boolean
    Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
    instanceId String
    Instance ID.
    masterNodeRouting Boolean
    Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    masterProtectorTimeout Integer
    Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
    multiStatementsMode String
    Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
    nodes String
    List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
    overloadProtection Boolean
    Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    readOnlyNodeDistributionType String
    Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
    readOnlyNodeMaxDelayTime Integer
    Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
    readOnlyNodeWeights List<EndpointReadOnlyNodeWeight>
    readWriteMode String
    Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
    readWriteSpliting Boolean
    Enable read/write splitting. Values: true: enabled (default). false: disabled.
    addresses EndpointAddress[]
    autoAddNewNodes boolean
    When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
    connectAllSlaveNodes boolean
    Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
    connectionInfoTags string[]
    Connection endpoint tags.
    connectionMode string
    Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
    connectionPoolType string
    Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
    customRouteStrategy EndpointCustomRouteStrategy
    SQL forwarding rules for the connection endpoint.
    description string
    Remarks.
    enableConnectionPersistent boolean
    Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
    enableReadOnly string
    Enable global read-only. Values: Enable: enabled. Disable: not enabled.
    endpointId string
    Instance connection endpoint ID.
    endpointName string
    Instance connection endpoint name.
    endpointType string
    Endpoint type. Value: Custom (custom endpoint).
    idleConnectionReclaim boolean
    Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
    implicitTransSplit boolean
    Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
    instanceId string
    Instance ID.
    masterNodeRouting boolean
    Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    masterProtectorTimeout number
    Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
    multiStatementsMode string
    Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
    nodes string
    List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
    overloadProtection boolean
    Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    readOnlyNodeDistributionType string
    Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
    readOnlyNodeMaxDelayTime number
    Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
    readOnlyNodeWeights EndpointReadOnlyNodeWeight[]
    readWriteMode string
    Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
    readWriteSpliting boolean
    Enable read/write splitting. Values: true: enabled (default). false: disabled.
    addresses Sequence[EndpointAddressArgs]
    auto_add_new_nodes bool
    When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
    connect_all_slave_nodes bool
    Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
    connection_info_tags Sequence[str]
    Connection endpoint tags.
    connection_mode str
    Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
    connection_pool_type str
    Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
    custom_route_strategy EndpointCustomRouteStrategyArgs
    SQL forwarding rules for the connection endpoint.
    description str
    Remarks.
    enable_connection_persistent bool
    Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
    enable_read_only str
    Enable global read-only. Values: Enable: enabled. Disable: not enabled.
    endpoint_id str
    Instance connection endpoint ID.
    endpoint_name str
    Instance connection endpoint name.
    endpoint_type str
    Endpoint type. Value: Custom (custom endpoint).
    idle_connection_reclaim bool
    Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
    implicit_trans_split bool
    Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
    instance_id str
    Instance ID.
    master_node_routing bool
    Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    master_protector_timeout int
    Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
    multi_statements_mode str
    Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
    nodes str
    List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
    overload_protection bool
    Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    read_only_node_distribution_type str
    Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
    read_only_node_max_delay_time int
    Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
    read_only_node_weights Sequence[EndpointReadOnlyNodeWeightArgs]
    read_write_mode str
    Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
    read_write_spliting bool
    Enable read/write splitting. Values: true: enabled (default). false: disabled.
    addresses List<Property Map>
    autoAddNewNodes Boolean
    When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
    connectAllSlaveNodes Boolean
    Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
    connectionInfoTags List<String>
    Connection endpoint tags.
    connectionMode String
    Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
    connectionPoolType String
    Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
    customRouteStrategy Property Map
    SQL forwarding rules for the connection endpoint.
    description String
    Remarks.
    enableConnectionPersistent Boolean
    Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
    enableReadOnly String
    Enable global read-only. Values: Enable: enabled. Disable: not enabled.
    endpointId String
    Instance connection endpoint ID.
    endpointName String
    Instance connection endpoint name.
    endpointType String
    Endpoint type. Value: Custom (custom endpoint).
    idleConnectionReclaim Boolean
    Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
    implicitTransSplit Boolean
    Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
    instanceId String
    Instance ID.
    masterNodeRouting Boolean
    Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    masterProtectorTimeout Number
    Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
    multiStatementsMode String
    Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
    nodes String
    List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
    overloadProtection Boolean
    Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    readOnlyNodeDistributionType String
    Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
    readOnlyNodeMaxDelayTime Number
    Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
    readOnlyNodeWeights List<Property Map>
    readWriteMode String
    Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
    readWriteSpliting Boolean
    Enable read/write splitting. Values: true: enabled (default). false: disabled.

    Supporting Types

    EndpointAddress, EndpointAddressArgs

    DnsVisibility bool
    false: Volcano Engine private network resolution (default). true: Volcano Engine private network and public network resolution.
    DomainPrefix string
    Connection address prefix. The prefix must meet the following rules: start with a lowercase letter and end with a lowercase letter or digit; contain at least two of the following: lowercase letters, digits, or hyphens (-); be at least 8 characters long; and the total connection address length (prefix + suffix) must not exceed 63 characters.
    Port string
    Port.
    DnsVisibility bool
    false: Volcano Engine private network resolution (default). true: Volcano Engine private network and public network resolution.
    DomainPrefix string
    Connection address prefix. The prefix must meet the following rules: start with a lowercase letter and end with a lowercase letter or digit; contain at least two of the following: lowercase letters, digits, or hyphens (-); be at least 8 characters long; and the total connection address length (prefix + suffix) must not exceed 63 characters.
    Port string
    Port.
    dnsVisibility Boolean
    false: Volcano Engine private network resolution (default). true: Volcano Engine private network and public network resolution.
    domainPrefix String
    Connection address prefix. The prefix must meet the following rules: start with a lowercase letter and end with a lowercase letter or digit; contain at least two of the following: lowercase letters, digits, or hyphens (-); be at least 8 characters long; and the total connection address length (prefix + suffix) must not exceed 63 characters.
    port String
    Port.
    dnsVisibility boolean
    false: Volcano Engine private network resolution (default). true: Volcano Engine private network and public network resolution.
    domainPrefix string
    Connection address prefix. The prefix must meet the following rules: start with a lowercase letter and end with a lowercase letter or digit; contain at least two of the following: lowercase letters, digits, or hyphens (-); be at least 8 characters long; and the total connection address length (prefix + suffix) must not exceed 63 characters.
    port string
    Port.
    dns_visibility bool
    false: Volcano Engine private network resolution (default). true: Volcano Engine private network and public network resolution.
    domain_prefix str
    Connection address prefix. The prefix must meet the following rules: start with a lowercase letter and end with a lowercase letter or digit; contain at least two of the following: lowercase letters, digits, or hyphens (-); be at least 8 characters long; and the total connection address length (prefix + suffix) must not exceed 63 characters.
    port str
    Port.
    dnsVisibility Boolean
    false: Volcano Engine private network resolution (default). true: Volcano Engine private network and public network resolution.
    domainPrefix String
    Connection address prefix. The prefix must meet the following rules: start with a lowercase letter and end with a lowercase letter or digit; contain at least two of the following: lowercase letters, digits, or hyphens (-); be at least 8 characters long; and the total connection address length (prefix + suffix) must not exceed 63 characters.
    port String
    Port.

    EndpointCustomRouteStrategy, EndpointCustomRouteStrategyArgs

    EndpointCustomRouteStrategyKeywordRouteStrategy, EndpointCustomRouteStrategyKeywordRouteStrategyArgs

    NodeType string
    SQL forwarding rule target. Options: Primary: primary node. Secondary: secondary node. ReadOnly: read-only node. Note: For dual-node instances, you can select the primary node or read-only node. For multi-node instances, you can select the primary node or secondary node.
    SqlKeyword string
    Forwarding rule keywords. SQL keyword rules: Each rule can contain up to 20 keywords, with a maximum length of 64 characters. Allowed characters: English letters, digits, underscore (_), @, #, :=, and Chinese characters.
    NodeType string
    SQL forwarding rule target. Options: Primary: primary node. Secondary: secondary node. ReadOnly: read-only node. Note: For dual-node instances, you can select the primary node or read-only node. For multi-node instances, you can select the primary node or secondary node.
    SqlKeyword string
    Forwarding rule keywords. SQL keyword rules: Each rule can contain up to 20 keywords, with a maximum length of 64 characters. Allowed characters: English letters, digits, underscore (_), @, #, :=, and Chinese characters.
    nodeType String
    SQL forwarding rule target. Options: Primary: primary node. Secondary: secondary node. ReadOnly: read-only node. Note: For dual-node instances, you can select the primary node or read-only node. For multi-node instances, you can select the primary node or secondary node.
    sqlKeyword String
    Forwarding rule keywords. SQL keyword rules: Each rule can contain up to 20 keywords, with a maximum length of 64 characters. Allowed characters: English letters, digits, underscore (_), @, #, :=, and Chinese characters.
    nodeType string
    SQL forwarding rule target. Options: Primary: primary node. Secondary: secondary node. ReadOnly: read-only node. Note: For dual-node instances, you can select the primary node or read-only node. For multi-node instances, you can select the primary node or secondary node.
    sqlKeyword string
    Forwarding rule keywords. SQL keyword rules: Each rule can contain up to 20 keywords, with a maximum length of 64 characters. Allowed characters: English letters, digits, underscore (_), @, #, :=, and Chinese characters.
    node_type str
    SQL forwarding rule target. Options: Primary: primary node. Secondary: secondary node. ReadOnly: read-only node. Note: For dual-node instances, you can select the primary node or read-only node. For multi-node instances, you can select the primary node or secondary node.
    sql_keyword str
    Forwarding rule keywords. SQL keyword rules: Each rule can contain up to 20 keywords, with a maximum length of 64 characters. Allowed characters: English letters, digits, underscore (_), @, #, :=, and Chinese characters.
    nodeType String
    SQL forwarding rule target. Options: Primary: primary node. Secondary: secondary node. ReadOnly: read-only node. Note: For dual-node instances, you can select the primary node or read-only node. For multi-node instances, you can select the primary node or secondary node.
    sqlKeyword String
    Forwarding rule keywords. SQL keyword rules: Each rule can contain up to 20 keywords, with a maximum length of 64 characters. Allowed characters: English letters, digits, underscore (_), @, #, :=, and Chinese characters.

    EndpointReadOnlyNodeWeight, EndpointReadOnlyNodeWeightArgs

    NodeId string
    NodeId is required for read-only nodes; not required for primary nodes.
    NodeType string
    Node type. Primary: primary node. ReadOnly: read-only node.
    Weight int
    Node read weight increases in increments of 100, up to a maximum of 10,000. Note: Not all weights can be set to 0.
    NodeId string
    NodeId is required for read-only nodes; not required for primary nodes.
    NodeType string
    Node type. Primary: primary node. ReadOnly: read-only node.
    Weight int
    Node read weight increases in increments of 100, up to a maximum of 10,000. Note: Not all weights can be set to 0.
    nodeId String
    NodeId is required for read-only nodes; not required for primary nodes.
    nodeType String
    Node type. Primary: primary node. ReadOnly: read-only node.
    weight Integer
    Node read weight increases in increments of 100, up to a maximum of 10,000. Note: Not all weights can be set to 0.
    nodeId string
    NodeId is required for read-only nodes; not required for primary nodes.
    nodeType string
    Node type. Primary: primary node. ReadOnly: read-only node.
    weight number
    Node read weight increases in increments of 100, up to a maximum of 10,000. Note: Not all weights can be set to 0.
    node_id str
    NodeId is required for read-only nodes; not required for primary nodes.
    node_type str
    Node type. Primary: primary node. ReadOnly: read-only node.
    weight int
    Node read weight increases in increments of 100, up to a maximum of 10,000. Note: Not all weights can be set to 0.
    nodeId String
    NodeId is required for read-only nodes; not required for primary nodes.
    nodeType String
    Node type. Primary: primary node. ReadOnly: read-only node.
    weight Number
    Node read weight increases in increments of 100, up to a maximum of 10,000. Note: Not all weights can be set to 0.

    Import

    $ pulumi import bytepluscc:rdsmysql/endpoint:Endpoint example "instance_id|endpoint_id"
    

    To learn more about importing existing cloud resources, see Importing resources.

    Package Details

    Repository
    bytepluscc byteplus-sdk/pulumi-bytepluscc
    License
    MPL-2.0
    Notes
    This Pulumi package is based on the bytepluscc Terraform Provider.
    bytepluscc logo
    Viewing docs for bytepluscc v0.0.25
    published on Thursday, May 7, 2026 by Byteplus
      Try Pulumi Cloud free. Your team will thank you.